Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install the nrpe package for OP5 on Centos. I think something is corrupt since I get following when trying to start the nrpe service: service nrpe start

Starting nrpe in daemon mode ... /usr/sbin/nrpe: error while loading shared libraries: libssl.so.6: cannot open shared object file: No such file or directory failed!

So, I did try to remove the package because I was thinking about making a fresh install, but it seemed not to be installed:

rpm -e nrpe-2.13-nagios_plugins-1.4.15-CentOS_6-2.13.1_x86_64.rpm

which gave me:

error: package nrpe-2.13-nagios_plugins-1.4.15-CentOS_6-2.13.1_x86_64.rpm is not installed

So I figured I should install it:

pm -i --test nrpe-2.13-nagios_plugins-1.4.15-CentOS_6-2.13.1_x86_64.rpm

which says it's already installed:

[root@smicloud ~]# rpm -i --test nrpe-2.13-nagios_plugins-1.4.15-CentOS_6-2.13.1_x86_64.rpm 
    package nrpe_nagiosplugins-2.13.1-release.x86_64 is already installed
    file /usr/sbin/nrpe from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_apt from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_by_ssh from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_cluster from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_dhcp from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_disk from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_dummy from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_http from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_icmp from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ide_smart from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_load from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_mrtg from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_mrtgtraf from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_mysql from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_mysql_query from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_nagios from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_nt from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ntp from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ntp_peer from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ntp_time from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_nwstat from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_overcr from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_pgsql from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ping from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_procs from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_real from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_smtp from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ssh from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_swap from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_tcp from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_time from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_ups from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/check_users from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/negate from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/urlize from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /opt/plugins/utils.pm from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64
    file /usr/sbin/libexec/check_nrpe from install of nrpe_nagiosplugins-2.13.1-release.x86_64 conflicts with file from package nrpe_nagiosplugins-2.13.1-release.x86_64

What I did before I realise I need a specific nrpe package for OP5 was to try to install nrpe using yum. But then I removed it, seems to have worked fine.

Then accidantly I tried to install an nrpe package for Centos 5.x, which I tried to remove. I think I got the same kind of symptoms as for above even here, both for installing and removing.

How can I fix this? Or where can I start looking in order to find more information that can help me solving this.

I am a newbie, perhaps this is simple stuff...?

share|improve this question
    
Reason for -1 so I can make it better next time please? –  Nicsoft Jul 5 '12 at 15:29
    
This is a CentOS question, not a nagios question. –  Keith Jul 24 '12 at 17:48
    
Check my own answer. Honestly don't know how to categorize it... –  Nicsoft Jul 25 '12 at 6:38
add comment

1 Answer 1

The problems was that there were remaining plugins for Nagios version of NRPE still installed. Once removed it worked like a charm installing the NRPE for OP5.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.